Package org.jboss.resteasy.core.interception.jaxrs

## Class ServerWriterInterceptorContext

- java.lang.Object
- - org.jboss.resteasy.core.interception.jaxrs.AbstractWriterInterceptorContext
  - - org.jboss.resteasy.core.interception.jaxrs.ServerWriterInterceptorContext

- All Implemented Interfaces:
    `javax.ws.rs.ext.InterceptorContext`, `javax.ws.rs.ext.WriterInterceptorContext`, `AsyncWriterInterceptorContext`

      public class ServerWriterInterceptorContext
      extends AbstractWriterInterceptorContext

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.core.interception.jaxrs.AbstractWriterInterceptorContext

      `annotations, entity, genericType, headers, index, interceptors, mediaType, outputStream, providerFactory, requireAsyncIO, tracingLogger, type`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServerWriterInterceptorContext​(javax.ws.rs.ext.WriterInterceptor[] interceptors, ResteasyProviderFactory providerFactory, Object entity, Class type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,​Object> headers, OutputStream outputStream, HttpRequest request, Consumer<Throwable> onWriteComplete)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getProperty​(String name)` |
    `Collection<String>` | `getPropertyNames()` |
    `CompletionStage<Void>` | `getStarted()` |
    `void` | `removeProperty​(String name)` |
    `protected javax.ws.rs.ext.MessageBodyWriter` | `resolveWriter()` |
    `void` | `setProperty​(String name, Object object)` |
    `protected CompletionStage<Void>` | `writeTo​(javax.ws.rs.ext.MessageBodyWriter writer)` |
    `protected CompletionStage<Void>` | `writeTo​(AsyncMessageBodyWriter writer)` |

    - ### Methods inherited from class org.jboss.resteasy.core.interception.jaxrs.AbstractWriterInterceptorContext

      `asyncProceed, getAnnotations, getAsyncOutputStream, getEntity, getGenericType, getHeaders, getMediaType, getOutputStream, getProcessedInterceptorCount, getType, getWriter, preferAsyncIo, proceed, setAnnotations, setAsyncOutputStream, setEntity, setGenericType, setMediaType, setOutputStream, setType, syncProceed, traceAfter, traceBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerWriterInterceptorContext

          public ServerWriterInterceptorContext​(javax.ws.rs.ext.WriterInterceptor[] interceptors,
                                                ResteasyProviderFactory providerFactory,
                                                Object entity,
                                                Class type,
                                                Type genericType,
                                                Annotation[] annotations,
                                                javax.ws.rs.core.MediaType mediaType,
                                                javax.ws.rs.core.MultivaluedMap<String,​Object> headers,
                                                OutputStream outputStream,
                                                HttpRequest request,
                                                Consumer<Throwable> onWriteComplete)

  - ### Method Detail

    - #### resolveWriter

          protected javax.ws.rs.ext.MessageBodyWriter resolveWriter()

      Specified by:
        `resolveWriter` in class `AbstractWriterInterceptorContext`

    - #### getProperty

          public Object getProperty​(String name)

    - #### getStarted

          public CompletionStage<Void> getStarted()

      Overrides:
        `getStarted` in class `AbstractWriterInterceptorContext`

    - #### writeTo

          protected CompletionStage<Void> writeTo​(javax.ws.rs.ext.MessageBodyWriter writer)
                                           throws IOException

      Overrides:
        `writeTo` in class `AbstractWriterInterceptorContext`
      Throws:
        `IOException`

    - #### writeTo

          protected CompletionStage<Void> writeTo​(AsyncMessageBodyWriter writer)

      Overrides:
        `writeTo` in class `AbstractWriterInterceptorContext`

    - #### getPropertyNames

          public Collection<String> getPropertyNames()

    - #### setProperty

          public void setProperty​(String name,
                                  Object object)

    - #### removeProperty

          public void removeProperty​(String name)